#include "../include/Amir.h"

#define AMR_VIDEO_INTERRUPT_VECTOR 0x10

#define AMR_VIDEO_FUNCTION_CODE_TELETYPE_OUTPUT 0x0E

amr_void
amr_video_print_char
(
	amr_char _ch
)
{
	__asm
	{
		mov	ah, AMR_VIDEO_FUNCTION_CODE_TELETYPE_OUTPUT;
		
		mov	bl, 7
		mov	al, _ch
		
		int	AMR_VIDEO_INTERRUPT_VECTOR
	}
	return;
}

amr_void
amr_video_print_string
(
	const amr_string _str
)
{
	amr_string ptr = (amr_string)_str;
	
	while(*ptr)
	{
		amr_video_print_char(*ptr);
		ptr++;
	}
	
	return;
}

