;------------------------------------------------------------
.186							   		; CPU type.
;------------------------------------------------------------

;------------------------------------------------------------
.model TINY						   		; memory of model.
;------------------------------------------------------------

;---------------------- EXTERNS -----------------------------
extrn				_kernel_main:near	; prototype of C func.
;------------------------------------------------------------

;----------------------- CODE SEGMENT -----------------------
.code
		org 0000h
START:
        cli
        mov ax, cs               ; Setup segment registers.
        mov ds, ax               ; Make DS correct.
        mov es, ax               ; Make ES correct.
        mov ss, ax               ; Make SS correct.     
        mov bp, 0FFFEh
        mov	sp, 0FFFEh			 ; Setup a stack
        sti
        
		; Start the program. 
        call           _kernel_main
		
		; Halt.
HALT:
        cli
		hlt
        
		; End of program.
        END
